Edit RFQ Quote

Edit an existing Block RFQ quote. For maker use only. The blockRfqId is the same as used in the create quote API.

Endpoint

POST /api/block/rfqs/edit_quote

Parameters

Parameter Type Required Description
blockRfqId string true ID of the Block RFQ
quoteId string true ID of the Block RFQ quote
quantity string true The size of the Order, denominated in the clearingCurrency of the RFQ. This multiplied by ratio gives the trade size on each leg
price string false Aggregated price used for quoting future spreads
label string false The user created label for the Quote
legs array true The composite Instrument legs of the Order
> instrumentName string true Instrument name
> price string true The price of the Instrument leg, denominated in the quoteCurrency of the RFQ
> ratio string false Ratio of amount between legs
> side string true The direction of the Order
hedge object false Hedge leg information
> instrumentName string true Instrument name
> price string true The price of the Instrument leg, denominated in the quoteCurrency of the RFQ
> quantity string true This value multiplied by the ratio of a leg gives trade size on that leg
> side string true The direction of the Order

Request Example

{
  "rid": 20004,
  "method": "block/rfqs/edit_quote",
  "params": {
    "blockRfqId": "253131",
    "quoteId": "658917",
    "label": "V2 Updated Quote",
    "quantity": "25.0",
    "price": null,
    "legs": [
      {
        "instrumentName": "BTC-26JUN26-200000-C",
        "price": "0.1",
        "ratio": "1",
        "side": "buy"
      }
    ],
    "hedge": {
      "instrumentName": "BTC-PERPETUAL",
      "quantity": "14720.0",
      "side": "sell",
      "price": "121842.0"
    }
  }
}

Response

Name Type Description
quoteId string ID of the Block RFQ quote
blockRfqId string ID of the Block RFQ
label string The user created label for the order
lastUpdatedAt long Timestamp of the last update of the quote (milliseconds since the UNIX epoch)
filledQuantity string Filled amount of the quote. For perpetual and futures the filledAmount is in USD units, for options - in units or corresponding cryptocurrency contracts, e.g., BTC or ETH
executionInstruction string Execution instruction of the quote
createdAt long The time in UNIX nanoseconds since the epoch when the Order was created
quantity string The total size of the Quote, denominated in the clearingCurrency of the RFQ
legs array The composite Instrument legs of the RFQ
> instrumentName string The exchange instrument name
> ratio string The relative multiplier applied to the quantity of the Instrument's amount relative to the amount of the RFQ. Maximum of 2 decimal places
> side string The direction of the composite leg relative to the RFQ
> price string The price of the Instrument leg, denominated in the quoteCurrency of the RFQ
hedge object Hedge leg information
> instrumentName string Instrument name
> price string The price of the Instrument leg, denominated in the quoteCurrency of the RFQ
> quantity string This value multiplied by the ratio of a leg gives trade size on that leg
> side string The direction of the Order
price string The total strategy price of the Quote, denominated in the quoteCurrency of the RFQ
side string The direction of the Quote
status string The availability of the Quote for the user to action
statusReason string Reason of quote cancellation
replaced boolean true if the quote was edited, otherwise false

Response Example

{
  "rid": 20004,
  "result": {
    "quoteId": "658917",
    "blockRfqId": "253131",
    "label": "V2 Integration Test Quote1",
    "quantity": "25.0",
    "appName": "SignalPlus",
    "createdAt": 1755154124404,
    "side": "buy",
    "executionInstruction": "all_or_none",
    "filledQuantity": "0.0",
    "hedge": {
      "instrumentName": "BTC-PERPETUAL",
      "quantity": "14720.0",
      "side": "sell",
      "price": "121842.0"
    },
    "lastUpdatedAt": 1755154265606,
    "legs": [
      {
        "instrumentName": "BTC-26JUN26-200000-C",
        "ratio": "1",
        "side": "buy",
        "price": "0.1"
      }
    ],
    "price": "0.1",
    "status": "open",
    "replaced": true
  }
}

results matching ""

    No results matching ""